package com.example.leudaemialikeme.Model;

import org.litepal.annotation.Column;
import org.litepal.crud.LitePalSupport;

import java.io.Serializable;

public class Event extends LitePalSupport implements Serializable {
    private static final long serialVersionUID = 1L;
    //声明所有的变量
    private String event_day;
    private String event_month;
    @Column(unique = true)
    private String event_info;
    private String event_place;
    private String event_doctor_name;
    private String event_time;
    private String event_create_time;

    public Event(){}

    public Event(String event_day, String event_month, String event_info, String event_place, String event_doctor_name, String event_time, String event_create_time) {
        this.event_day = event_day;
        this.event_month = event_month;
        this.event_info = event_info;
        this.event_place = event_place;
        this.event_doctor_name = event_doctor_name;
        this.event_time = event_time;
        this.event_create_time = event_create_time;
    }

    public String getEvent_day() {
        return event_day;
    }

    public void setEvent_day(String event_day) {
        this.event_day = event_day;
    }

    public String getEvent_month() {
        return event_month;
    }

    public void setEvent_month(String event_month) {
        this.event_month = event_month;
    }

    public String getEvent_info() {
        return event_info;
    }

    public void setEvent_info(String event_info) {
        this.event_info = event_info;
    }

    public String getEvent_time() {
        return event_time;
    }

    public void setEvent_time(String event_time) {
        this.event_time = event_time;
    }

    public String getEvent_place() {
        return event_place;
    }

    public String getEvent_doctor_name() {
        return event_doctor_name;
    }

    public String getEvent_create_time() {
        return event_create_time;
    }

    public void setEvent_place(String event_place) {
        this.event_place = event_place;
    }

    public void setEvent_doctor_name(String event_doctor_name) {
        this.event_doctor_name = event_doctor_name;
    }

    public void setEvent_create_time(String event_create_time) {
        this.event_create_time = event_create_time;
    }
}
